Ticket #43334

No-anarchy revolution allowed with revolentype RandQuick

Open Date: 2021-12-04 19:29 Last Update: 2021-12-22 08:47

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

In https://www.hostedredmine.com/issues/857624 comments Jacob Nevins pointed out that revolentype "RandQuick" does not have similar target government switching prevention as "Quickening". This mean that one can do a short/"cheap" revolution and then switch to longer/"costly" one for free.

As part of #43200, this has also been posted to http://forum.freeciv.org/f/viewtopic.php?f=14&t=92085

Ticket History (3/8 Histories)

2021-12-04 19:29 Updated by: cazfi
  • New Ticket "No-anarchy revolution allowed with revolentype RandQuick" created
2021-12-04 19:37 Updated by: cazfi
  • Details Updated
2021-12-04 19:38 Updated by: cazfi
  • Resolution Update from None to Accepted
2021-12-08 15:37 Updated by: cazfi
Comment

I suspect this patch is to blame for extremely bad performance of AIs in my recent autogames (where this patch, among others, has been applied)

2021-12-12 11:25 Updated by: cazfi
Comment

Reply To cazfi

I suspect this patch is to blame for extremely bad performance of AIs in my recent autogames

Yes -> #43392

That's blocking this ticket at the moment, to prevent things from turning worse ("Quickening" is already affected)

2021-12-12 12:36 Updated by: cazfi
Comment

Going to push this to S2_6 too, despite there being no plans to make further 2.6 releases.

2021-12-22 08:47 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login